local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Ash_DoTimer", "Ash DoTimer")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 21
local TIMER_ID = "DoTimerShakedown"

function Addon:Start()
    
    -- show the anchor
    DoTimer:Set("locked", false)
    DoTimer:UpdateSettings()
    
    -- start the bars now
    self:Display()
    
    -- schedule a new test display a every 21 seconds
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
    
end

function Addon:Stop()

    -- hide the anchor
    DoTimer:Set("locked", 1)
    DoTimer:UpdateSettings()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
    
    -- remove all timers that are shown
    DoTimer:RemoveAllTimers()

end

function Addon:Display()

    -- show dot timers, with a default duration of 20 seconds
    DoTimer:ShowTimers(3,4)

end